
D4Science Infrastructure - Incident #7559

Workspace: NullPointerException while downloading any folder

Mar 16, 2017 06:50 PM - Massimiliano Assante

Status: Closed Start date: Mar 16, 2017

Priority: Urgent Due date: Mar 17, 2017

Assignee: Massimiliano Assante % Done: 100%

Category: Other Estimated time: 0.00 hour

Target version: D4Science Infrastructure Upgrade to

gCube 4.3.0

  

Infrastructure: Production   

Description

2017-03-16 17:45:40,834 ERROR server.DownloadFolderWebSocketServer [http-bio-9090-exec-212,zipFold

er:116] %java.lang.NullPointerException

    at org.gcube.common.homelibrary.jcr.workspace.JCRWorkspaceItem.markAsRead(JCRWorkspaceItem.jav

a:871)

    at org.gcube.portlets.user.workspace.server.DownloadFolderWebSocketServer.zipFolder(DownloadFo

lderWebSocketServer.java:110)

    at org.gcube.portlets.user.workspace.server.DownloadFolderWebSocketServer.onMessage(DownloadFo

lderWebSocketServer.java:68)

    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)

    at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)

    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)

    at java.lang.reflect.Method.invoke(Method.java:606)

    at org.apache.tomcat.websocket.pojo.PojoMessageHandlerWholeBase.onMessage(PojoMessageHandlerWh

oleBase.java:80)

    at org.apache.tomcat.websocket.WsFrameBase.sendMessageText(WsFrameBase.java:393)

    at org.apache.tomcat.websocket.WsFrameBase.processDataText(WsFrameBase.java:494)

    at org.apache.tomcat.websocket.WsFrameBase.processData(WsFrameBase.java:289)

    at org.apache.tomcat.websocket.WsFrameBase.processInputBuffer(WsFrameBase.java:130)

    at org.apache.tomcat.websocket.server.WsFrameServer.onDataAvailable(WsFrameServer.java:56)

    at org.apache.tomcat.websocket.server.WsHttpUpgradeHandler$WsReadListener.onDataAvailable(WsHt

tpUpgradeHandler.java:203)

    at org.apache.coyote.http11.upgrade.AbstractServletInputStream.onDataAvailable(AbstractServlet

InputStream.java:203)

    at org.apache.coyote.http11.upgrade.AbstractProcessor.upgradeDispatch(AbstractProcessor.java:9

3)

    at org.apache.coyote.AbstractProtocol$AbstractConnectionHandler.process(AbstractProtocol.java:

618)

    at org.apache.tomcat.util.net.JIoEndpoint$SocketProcessor.run(JIoEndpoint.java:316)

    at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145)

    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615)

    at org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)

    at java.lang.Thread.run(Thread.java:745)

[PORTAL] 22086 [http-bio-9090-exec-212] ERROR org.gcube.portlets.user.workspace.server.DownloadFol

derWebSocketServer  - Requested item 456804ac-a547-4c3b-b0ee-d5501f2b368c not found

java.lang.NullPointerException

    at org.gcube.common.homelibrary.jcr.workspace.JCRWorkspaceItem.markAsRead(JCRWorkspaceItem.jav

a:871)

    at org.gcube.portlets.user.workspace.server.DownloadFolderWebSocketServer.zipFolder(DownloadFo

lderWebSocketServer.java:110)

    at org.gcube.portlets.user.workspace.server.DownloadFolderWebSocketServer.onMessage(DownloadFo

lderWebSocketServer.java:68)

    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)

    at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)

    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)

    at java.lang.reflect.Method.invoke(Method.java:606)

    at org.apache.tomcat.websocket.pojo.PojoMessageHandlerWholeBase.onMessage(PojoMessageHandlerWh

oleBase.java:80)

    at org.apache.tomcat.websocket.WsFrameBase.sendMessageText(WsFrameBase.java:393)

    at org.apache.tomcat.websocket.WsFrameBase.processDataText(WsFrameBase.java:494)

    at org.apache.tomcat.websocket.WsFrameBase.processData(WsFrameBase.java:289)
    at org.apache.tomcat.websocket.WsFrameBase.processInputBuffer(WsFrameBase.java:130)

    at org.apache.tomcat.websocket.server.WsFrameServer.onDataAvailable(WsFrameServer.java:56)

    at org.apache.tomcat.websocket.server.WsHttpUpgradeHandler$WsReadListener.onDataAvailable(WsHt

tpUpgradeHandler.java:203)

    at org.apache.coyote.http11.upgrade.AbstractServletInputStream.onDataAvailable(AbstractServlet

InputStream.java:203)

    at org.apache.coyote.http11.upgrade.AbstractProcessor.upgradeDispatch(AbstractProcessor.java:9

3)

    at org.apache.coyote.AbstractProtocol$AbstractConnectionHandler.process(AbstractProtocol.java:

618)

    at org.apache.tomcat.util.net.JIoEndpoint$SocketProcessor.run(JIoEndpoint.java:316)

    at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145)

    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615)

    at org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)

    at java.lang.Thread.run(Thread.java:745)

2017-03-16 17:45:40,837 DEBUG server.DownloadFolderWebSocketServer [http-bio-9090-exec-212,onClose

:51] %[PORTAL] 22089 [http-bio-9090-exec-212] DEBUG org.gcube.portlets.user.workspace.server.Downl

oadFolderWebSocketServer  - onClose(c)

2017-03-16 17:46:40,225 DEBUG o.g.a.a.a.s.FetchDataThread [FetchDataThread278,run:50][PORTAL] 1312

3895 [FetchDataThread278] DEBUG org.gcube.application.aquamaps.aquamapsportlet.servlet.FetchDataTh

read - Going to execute again in 10 minutes

History

#1 - Mar 16, 2017 06:51 PM - Massimiliano Assante

- % Done changed from 0 to 90

We analysed the problem and found the cause in the HL item setRead method. @francesco.mangiacrapa@isti.cnr.it released the fix and is building

tonight.

#2 - Mar 16, 2017 06:52 PM - Massimiliano Assante

- Assignee changed from Valentina Marioli to Massimiliano Assante

#3 - Mar 16, 2017 06:52 PM - Massimiliano Assante

- Priority changed from Normal to Urgent

#4 - Mar 16, 2017 06:53 PM - Massimiliano Assante

- Subject changed from Workspace: java.lang.NullPointerException while downloading folder to Workspace: NullPointerException while downloading

any folder

#5 - Mar 17, 2017 11:11 AM - Massimiliano Assante

- % Done changed from 90 to 100

The last night build fix has been verified in preproduction, we need to deploy it on production as soon as possible

#6 - Mar 17, 2017 05:21 PM - Massimiliano Assante

- Status changed from In Progress to Closed

Fix deployed and working.
